package com.wms.constants.enums;

/**
 * 向Wcs发送任务变更时的任务状态枚举
 */
public enum WcsChangeTaskStatus {
    FINISH(0, "重新执行任务"),
    CANCEL(1, "取消/删除任务"),
    EXCEPTION(2, "完成任务");

    private final Integer code;
    private final String message;

    WcsChangeTaskStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
